Test (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages
Class Test

    java.lang.Object
      org.gcube.messaging.common.messages.Test

All Implemented Interfaces:
  Serializable

    public class Test

extends Object
implements Serializable

Models a Test

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Test.Priority` Priority types
`static class` | `Test.TestType` Result types

Constructor Summary
`Test()` default constructor

Method Summary
`String` | `getDescription()` get the description
`Test.Priority` | `getPriority()` get the priority
`Integer` | `getTestNumber()` get the test number
`Object` | `getTestResult()` get the result object
`Test.TestType` | `getType()` get the testType
`static String` | `replaceUnderscore(String input)` replace the "." char to "_" in the given string
`void` | `setDescription(String description)` set the description
`void` | `setPriority(Test.Priority priority)` set the priority
`void` | `setTestNumber(Integer testNumber)` set the test number
`void` | `setTestResult(Object testResult)` set the result object
`void` | `setType(Test.TestType type)` set the test type
`String` | `toString()` to string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Test

    public Test()

  default constructor

Method Detail

### getTestResult

    public Object getTestResult()

  get the result object

  Returns:
    the result object

### setTestResult

    public void setTestResult(Object testResult)

  set the result object

  Parameters:
    `testResult` - the result object

### getType

    public Test.TestType getType()

  get the testType

  Returns:
    the testType

### setType

    public void setType(Test.TestType type)

  set the test type

  Parameters:
    `type` - the test type

### getPriority

    public Test.Priority getPriority()

  get the priority

  Returns:
    the priority

### setPriority

    public void setPriority(Test.Priority priority)

  set the priority

  Parameters:
    `priority` - the priority

### getTestNumber

    public Integer getTestNumber()

  get the test number

  Returns:
    the test number

### setTestNumber

    public void setTestNumber(Integer testNumber)

  set the test number

  Parameters:
    `testNumber` - the test number

### getDescription

    public String getDescription()

  get the description

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  set the description

  Parameters:
    `description` - the description

### toString

    public String toString()

  to string

  Overrides:
    `toString` in class `Object`

### replaceUnderscore

    public static String replaceUnderscore(String input)

  replace the "." char to "_" in the given string

  Parameters:
    `input` - the input string
  Returns:
    the underscore

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.